Bug 827321 - ipa-server-install does not fill the default value for --subject option and it crashes later.
ipa-server-install does not fill the default value for --subject option and i...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
6.4
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Rob Crittenden
Namita Soman
:
Depends On: 826973
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 02:23 EDT by Martin Kosek
Modified: 2015-05-12 07:00 EDT (History)
5 users (show)

See Also:
Fixed In Version: ipa-3.0.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 826973
Environment:
Last Closed: 2013-02-21 04:14:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 RHEL Product and Program Management 2012-07-10 02:21:46 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 RHEL Product and Program Management 2012-07-10 19:28:16 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 4 Martin Kosek 2012-08-17 04:21:46 EDT
This issue is no longer reproducible in IPA 3.0.0 development branch (see 2 tested cases below). Moving to POST so that it can be verified by the QE as well.

{{{
# ipa-server-install -p secret123 -a secret123 -r IDM.LAB.BOS.REDHAT.COM --setup-dns --forwarder=10.0.0.1 --external-ca -U
...
  [2/4]: creating pki-ca instance
  [3/4]: configuring certificate server instance
The next step is to get /root/ipa.csr signed by your CA and re-run ipa-server-install as:
ipa-server-install --external_cert_file=/path/to/signed_certificate --external_ca_file=/path/to/external_ca_certificate


# ipa-server-install --external_cert_file=/home/mkosek/cadb_f15/ipa.crt --external_ca_file=/home/mkosek/cadb_f15/external-ca.crt -U -p secret123 -a secret123 -r IDM.LAB.BOS.REDHAT.COM

The log file for this installation can be found in /var/log/ipaserver-install.log
Directory Manager password: 

==============================================================================
This program will set up the FreeIPA Server.

This includes:
  * Configure a stand-alone CA (dogtag) for certificate management
  * Configure the Network Time Daemon (ntpd)
  * Create and configure an instance of Directory Server
  * Create and configure a Kerberos Key Distribution Center (KDC)
  * Configure Apache (httpd)
  * Configure DNS (bind)

To accept the default shown in brackets, press the Enter key.

Warning: skipping DNS resolution of host vm-086.idm.lab.bos.redhat.com
Using reverse zone 78.16.10.in-addr.arpa.

The IPA Master Server will be configured with:
Hostname:      vm-086.idm.lab.bos.redhat.com
IP address:    10.16.78.86
Domain name:   idm.lab.bos.redhat.com
Realm name:    IDM.LAB.BOS.REDHAT.COM

BIND DNS server will be configured to serve IPA domain with:
Forwarders:    10.0.0.1
Reverse zone:  78.16.10.in-addr.arpa.

Configuring certificate server: Estimated time 3 minutes 30 seconds
  [1/19]: creating certificate server user
  [2/19]: configuring certificate server instance
  [3/19]: disabling nonces
  [4/19]: creating CA agent PKCS#12 file in /root
  [5/19]: creating RA agent certificate database
  [6/19]: importing CA chain to RA certificate database
  [7/19]: fixing RA database permissions
  [8/19]: setting up signing cert profile
  [9/19]: set up CRL publishing
  [10/19]: set certificate subject base
  [11/19]: enabling Subject Key Identifier
  [12/19]: configuring certificate server to start on boot
  [13/19]: restarting certificate server
  [14/19]: requesting RA certificate from CA
  [15/19]: issuing RA agent certificate
  [16/19]: adding RA agent as a trusted user
  [17/19]: configure certificate renewals
  [18/19]: configure Server-Cert certificate renewal
  [19/19]: Configure HTTP to proxy connections
done configuring pki-cad.
Configuring directory server: Estimated time 1 minute
  [1/36]: creating directory server user
  [2/36]: creating directory server instance
  [3/36]: adding default schema
  [4/36]: enabling memberof plugin
  [5/36]: enabling referential integrity plugin
  [6/36]: enabling winsync plugin
  [7/36]: configuring replication version plugin
  [8/36]: enabling IPA enrollment plugin
  [9/36]: enabling ldapi
  [10/36]: configuring uniqueness plugin
  [11/36]: configuring uuid plugin
  [12/36]: configuring modrdn plugin
  [13/36]: enabling entryUSN plugin
  [14/36]: configuring lockout plugin
  [15/36]: creating indices
  [16/36]: configuring ssl for ds instance
  [17/36]: configuring certmap.conf
  [18/36]: configure autobind for root
  [19/36]: configure new location for managed entries
  [20/36]: restarting directory server
  [21/36]: adding default layout
  [22/36]: adding delegation layout
  [23/36]: adding replication acis
  [24/36]: creating container for managed entries
  [25/36]: configuring user private groups
  [26/36]: configuring netgroups from hostgroups
  [27/36]: creating default Sudo bind user
  [28/36]: creating default Auto Member layout
  [29/36]: adding range check plugin
  [30/36]: creating default HBAC rule allow_all
  [31/36]: initializing group membership
  [32/36]: adding master entry
  [33/36]: configuring Posix uid/gid generation
  [34/36]: enabling compatibility plugin
  [35/36]: tuning directory server
  [36/36]: configuring directory to start on boot
done configuring dirsrv.
Configuring Kerberos KDC: Estimated time 30 seconds
  [1/10]: adding sasl mappings to the directory
  [2/10]: adding kerberos container to the directory
  [3/10]: configuring KDC
  [4/10]: initialize kerberos container
  [5/10]: adding default ACIs
  [6/10]: creating a keytab for the directory
  [7/10]: creating a keytab for the machine
  [8/10]: adding the password extension to the directory
  [9/10]: starting the KDC
  [10/10]: configuring KDC to start on boot
done configuring krb5kdc.
Configuring kadmin
  [1/2]: starting kadmin 
  [2/2]: configuring kadmin to start on boot
done configuring kadmin.
Configuring ipa_memcached
  [1/2]: starting ipa_memcached 
  [2/2]: configuring ipa_memcached to start on boot
done configuring ipa_memcached.
Configuring the web interface: Estimated time 1 minute
  [1/14]: disabling mod_ssl in httpd
  [2/14]: setting mod_nss port to 443
  [3/14]: setting mod_nss password file
  [4/14]: enabling mod_nss renegotiate
  [5/14]: adding URL rewriting rules
  [6/14]: configuring httpd
  [7/14]: setting up ssl
  [8/14]: setting up browser autoconfig
  [9/14]: publish CA cert
  [10/14]: creating a keytab for httpd
  [11/14]: clean up any existing httpd ccache
  [12/14]: configuring SELinux for httpd
  [13/14]: restarting httpd
  [14/14]: configuring httpd to start on boot
done configuring httpd.
Applying LDAP updates
Restarting the directory server
Restarting the KDC
Configuring named:
  [1/9]: adding DNS container
  [2/9]: setting up our zone
  [3/9]: setting up reverse zone
  [4/9]: setting up our own record
  [5/9]: setting up kerberos principal
  [6/9]: setting up named.conf
  [7/9]: restarting named
  [8/9]: configuring named to start on boot
  [9/9]: changing resolv.conf to point to ourselves
done configuring named.

Global DNS configuration in LDAP server is empty
You can use 'dnsconfig-mod' command to set global DNS options that
would override settings in local named.conf files

Restarting the web server
==============================================================================
Setup complete

Next steps:
	1. You must make sure these network ports are open:
		TCP Ports:
		  * 80, 443: HTTP/HTTPS
		  * 389, 636: LDAP/LDAPS
		  * 88, 464: kerberos
		  * 53: bind
		UDP Ports:
		  * 88, 464: kerberos
		  * 53: bind
		  * 123: ntp

	2. You can now obtain a kerberos ticket using the command: 'kinit admin'
	   This ticket will allow you to use the IPA tools (e.g., ipa user-add)
	   and the web user interface.

Be sure to back up the CA certificate stored in /root/cacert.p12
This file is required to create replicas. The password for this
file is the Directory Manager password
}}}

Installation with custom `--subject` passed in the first stage installation worked as well and the subject was used in the IPA (see cert-show command in the end of this output):
{{{
# ipa-server-install -p secret123 -a secret123 -r IDM.LAB.BOS.REDHAT.COM --setup-dns --forwarder=10.0.0.1 --external-ca --subject=O=FooBar -U

The log file for this installation can be found in /var/log/ipaserver-install.log
==============================================================================
This program will set up the FreeIPA Server.

This includes:
  * Configure a stand-alone CA (dogtag) for certificate management
  * Configure the Network Time Daemon (ntpd)
  * Create and configure an instance of Directory Server
  * Create and configure a Kerberos Key Distribution Center (KDC)
  * Configure Apache (httpd)
  * Configure DNS (bind)

To accept the default shown in brackets, press the Enter key.

Warning: skipping DNS resolution of host vm-055.idm.lab.bos.redhat.com
The domain name has been determined based on the host name.

Using reverse zone 78.16.10.in-addr.arpa.

The IPA Master Server will be configured with:
Hostname:      vm-055.idm.lab.bos.redhat.com
IP address:    10.16.78.55
Domain name:   idm.lab.bos.redhat.com
Realm name:    IDM.LAB.BOS.REDHAT.COM

BIND DNS server will be configured to serve IPA domain with:
Forwarders:    10.16.255.2
Reverse zone:  78.16.10.in-addr.arpa.

Configuring ntpd
  [1/4]: stopping ntpd
  [2/4]: writing configuration
  [3/4]: configuring ntpd to start on boot
  [4/4]: starting ntpd
done configuring ntpd.
Configuring directory server for the CA: Estimated time 30 seconds
  [1/3]: creating directory server user
  [2/3]: creating directory server instance
  [3/3]: restarting directory server
done configuring pkids.
Configuring certificate server: Estimated time 3 minutes 30 seconds
  [1/4]: creating certificate server user
  [2/4]: creating pki-ca instance
  [3/4]: configuring certificate server instance
The next step is to get /root/ipa.csr signed by your CA and re-run ipa-server-install as:
ipa-server-install --external_cert_file=/path/to/signed_certificate --external_ca_file=/path/to/external_ca_certificate

# ipa-server-install --external_cert_file=/home/mkosek/cadb_f15/ipa.crt --external_ca_file=/home/mkosek/cadb_f15/external-ca.crt -U -p secret123 -a secret123 -r IDM.LAB.BOS.REDHAT.COM

The log file for this installation can be found in /var/log/ipaserver-install.log
Directory Manager password: 

==============================================================================
This program will set up the FreeIPA Server.

This includes:
  * Configure a stand-alone CA (dogtag) for certificate management
  * Configure the Network Time Daemon (ntpd)
  * Create and configure an instance of Directory Server
  * Create and configure a Kerberos Key Distribution Center (KDC)
  * Configure Apache (httpd)
  * Configure DNS (bind)

To accept the default shown in brackets, press the Enter key.

Warning: skipping DNS resolution of host vm-055.idm.lab.bos.redhat.com
Using reverse zone 78.16.10.in-addr.arpa.

The IPA Master Server will be configured with:
Hostname:      vm-055.idm.lab.bos.redhat.com
IP address:    10.16.78.55
Domain name:   idm.lab.bos.redhat.com
Realm name:    IDM.LAB.BOS.REDHAT.COM

BIND DNS server will be configured to serve IPA domain with:
Forwarders:    10.16.255.2
Reverse zone:  78.16.10.in-addr.arpa.

Configuring certificate server: Estimated time 3 minutes 30 seconds
  [1/19]: creating certificate server user
  [2/19]: configuring certificate server instance
  [3/19]: disabling nonces
  [4/19]: creating CA agent PKCS#12 file in /root
  [5/19]: creating RA agent certificate database
  [6/19]: importing CA chain to RA certificate database
  [7/19]: fixing RA database permissions
  [8/19]: setting up signing cert profile
  [9/19]: set up CRL publishing
  [10/19]: set certificate subject base
  [11/19]: enabling Subject Key Identifier
  [12/19]: configuring certificate server to start on boot
  [13/19]: restarting certificate server
  [14/19]: requesting RA certificate from CA
  [15/19]: issuing RA agent certificate
  [16/19]: adding RA agent as a trusted user
  [17/19]: configure certificate renewals
  [18/19]: configure Server-Cert certificate renewal
  [19/19]: Configure HTTP to proxy connections
done configuring pki-cad.
Configuring directory server: Estimated time 1 minute
  [1/36]: creating directory server user
  [2/36]: creating directory server instance
  [3/36]: adding default schema
  [4/36]: enabling memberof plugin
  [5/36]: enabling referential integrity plugin
  [6/36]: enabling winsync plugin
  [7/36]: configuring replication version plugin
  [8/36]: enabling IPA enrollment plugin
  [9/36]: enabling ldapi
  [10/36]: configuring uniqueness plugin
  [11/36]: configuring uuid plugin
  [12/36]: configuring modrdn plugin
  [13/36]: enabling entryUSN plugin
  [14/36]: configuring lockout plugin
  [15/36]: creating indices
  [16/36]: configuring ssl for ds instance
  [17/36]: configuring certmap.conf
  [18/36]: configure autobind for root
  [19/36]: configure new location for managed entries
  [20/36]: restarting directory server
  [21/36]: adding default layout
  [22/36]: adding delegation layout
  [23/36]: adding replication acis
  [24/36]: creating container for managed entries
  [25/36]: configuring user private groups
  [26/36]: configuring netgroups from hostgroups
  [27/36]: creating default Sudo bind user
  [28/36]: creating default Auto Member layout
  [29/36]: adding range check plugin
  [30/36]: creating default HBAC rule allow_all
  [31/36]: initializing group membership
  [32/36]: adding master entry
  [33/36]: configuring Posix uid/gid generation
  [34/36]: enabling compatibility plugin
  [35/36]: tuning directory server
  [36/36]: configuring directory to start on boot
done configuring dirsrv.
Configuring Kerberos KDC: Estimated time 30 seconds
  [1/10]: adding sasl mappings to the directory
  [2/10]: adding kerberos container to the directory
  [3/10]: configuring KDC
  [4/10]: initialize kerberos container
  [5/10]: adding default ACIs
  [6/10]: creating a keytab for the directory
  [7/10]: creating a keytab for the machine
  [8/10]: adding the password extension to the directory
  [9/10]: starting the KDC
  [10/10]: configuring KDC to start on boot
done configuring krb5kdc.
Configuring kadmin
  [1/2]: starting kadmin 
  [2/2]: configuring kadmin to start on boot
done configuring kadmin.
Configuring ipa_memcached
  [1/2]: starting ipa_memcached 
  [2/2]: configuring ipa_memcached to start on boot
done configuring ipa_memcached.
Configuring the web interface: Estimated time 1 minute
  [1/14]: disabling mod_ssl in httpd
  [2/14]: setting mod_nss port to 443
  [3/14]: setting mod_nss password file
  [4/14]: enabling mod_nss renegotiate
  [5/14]: adding URL rewriting rules
  [6/14]: configuring httpd
  [7/14]: setting up ssl
  [8/14]: setting up browser autoconfig
  [9/14]: publish CA cert
  [10/14]: creating a keytab for httpd
  [11/14]: clean up any existing httpd ccache
  [12/14]: configuring SELinux for httpd
  [13/14]: restarting httpd
  [14/14]: configuring httpd to start on boot
done configuring httpd.
Applying LDAP updates
Restarting the directory server
Restarting the KDC
Configuring named:
  [1/9]: adding DNS container
  [2/9]: setting up our zone
  [3/9]: setting up reverse zone
  [4/9]: setting up our own record
  [5/9]: setting up kerberos principal
  [6/9]: setting up named.conf
  [7/9]: restarting named
  [8/9]: configuring named to start on boot
  [9/9]: changing resolv.conf to point to ourselves
done configuring named.

Global DNS configuration in LDAP server is empty
You can use 'dnsconfig-mod' command to set global DNS options that
would override settings in local named.conf files

Restarting the web server
==============================================================================
Setup complete

Next steps:
	1. You must make sure these network ports are open:
		TCP Ports:
		  * 80, 443: HTTP/HTTPS
		  * 389, 636: LDAP/LDAPS
		  * 88, 464: kerberos
		  * 53: bind
		UDP Ports:
		  * 88, 464: kerberos
		  * 53: bind
		  * 123: ntp

	2. You can now obtain a kerberos ticket using the command: 'kinit admin'
	   This ticket will allow you to use the IPA tools (e.g., ipa user-add)
	   and the web user interface.

Be sure to back up the CA certificate stored in /root/cacert.p12
This file is required to create replicas. The password for this
file is the Directory Manager password
# kinit admin
Password for admin@IDM.LAB.BOS.REDHAT.COM: 
# ipa cert-show 2
  Certificate: MIIDfDCCAmS...CnAUJOPyDUrQcQ=
  Subject: CN=vm-055.idm.lab.bos.redhat.com,O=FooBar    <<<<<
  Issuer: CN=Certificate Authority,O=FooBar
  Not Before: Fri Aug 17 08:09:11 2012 UTC
  Not After: Thu Aug 07 08:09:11 2014 UTC
  Fingerprint (MD5): 0a:98:ea:d3:8d:58:12:a9:25:bf:43:36:5e:e4:5b:82
  Fingerprint (SHA1): fa:f9:a5:76:f6:62:70:b7:0c:99:3d:5b:98:ef:85:b8:ea:c5:85:3e
  Serial number (hex): 0x2
  Serial number: 2
}}}
Comment 7 Michael Gregg 2012-12-13 22:09:59 EST
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipa-server-install - BZ 827321 : ipa-server-install does not fill the default value for --subject option and it crashes later.
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

kdestroy: No credentials cache found while destroying cache
Shutting down all IPA services
Removing IPA client configuration
:: [   PASS   ] :: See if install failed as specified in BZ 827321.
:: [   PASS   ] :: See if ipaserver-install log contains error reported in BZ 827321
Shutting down all IPA services
Removing IPA client configuration
'9c462dd6-9814-43e6-942b-240356f4ddcc'
ipa-server-install-BZ-827321- result: PASS
   metric: 0
   Log: /tmp/beakerlib-4746/journal.txt
    Info: Searching AVC errors produced since 1353030137.94 (Thu Nov 15 20:42:17 2012)
     Searching logs...
     Info: No AVC messages found.
 Writing to /mnt/testarea/tmp.r11W0l
:
   AvcLog: /mnt/testarea/tmp.r11W0l
Comment 9 errata-xmlrpc 2013-02-21 04:14:44 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0528.html

Note You need to log in before you can comment on or make changes to this bug.